Help and Support Center (HSC) Production Tool overview

The HSC Production Tool is a tool for authors, editors, and indexers who deliver content to the Help and Support Center (HSC). With the HSC Production Tool, you can organize your topics so that they appear correctly in the HSC taxonomy, assign search keywords to each topic, and compile changes made to the taxonomy tree into an .hht file that is used to build HSC.

  • For help with specific tasks, see How to.
  • For general background information, see Concepts.


How to...

  • Create and edit the taxonomy tree (XMLTOC)
  • Create and edit stop signs
  • Create and edit stop words
  • Create and edit keywords
  • Create and edit synonym sets


Create and edit the taxonomy tree (XMLTOC)

  • Open a database
  • Import an .hhc, .hhk, .chm or Microsoft Excel file
  • Create a new node or topic
  • Find a node or topic
  • Modify the properties of a node or topic
  • View the content of the selected node or topic
  • Move a node or topic
  • Delete a node or topic
  • Add or remove keywords from a node or topic
  • Create keywords from node or topic titles
  • Filter the taxonomy view by SKU
  • Create an .hht and CAB file
  • Create and edit database parameters
  • Archive or restore authoring group changes


Open a database

To open a database

  1. On the File menu, click Open Database.
  2. Click the database that you want to open, and then click Open.


Import an .hhc, .hhk, .chm or Microsoft Excel file

To import an .hhc, .hhk, .chm or Microsoft Excel file

  1. On the Tools menu, click Importer.
  2. Open Windows Explorer, and then drag the file you want to import to Importer.
  3. In Importer, click the appropriate tab for the type of file that you want to import.
  4. In SKU, select a check box for each SKU with which you want to use the file.
  5. In Help file directory, click the appropriate Help file directory.
  6. Drag the node or topic to a node in Taxonomy tree.

Notes

  • To propagate keywords to the appropriate nodes and topics, on the Tools menu, click Propagate Keywords. Progress is indicated in the status bar at the bottom of the screen. For more information about propagating keywords, see Related Topics.
  • When you drag a .chm file to Importer, the .hhc file appears on the Table of Contents tab, the .hhk appears on the Index tab, and the .chm appears on the HTM tab.
  • When you import an index file, Importer can extract the title from each .htm in the related .chm. The topics that are created in the taxonomy tree use this title under Title, instead of the default foo.chm:://bar.htm format. You can click Cancel to use the default format. When you drag an .hhk file to Importer, you are prompted for the path to the expanded .chm directory. Each .chm must be in its own directory that contains all of the .htm files for that .chm.
  • For more information about the correct formatting for Excel spreadsheets, see Related Topics.

Related Topics


Create a new node or topic

To create a new node or topic

  1. In Taxonomy tree, click the node under which you want to create a new node or topic.
  2. On the lower-left side of the Production Tool interface, click Create Node or Create Topic.
  3. Define the properties for the node or topic as follows:
    • To make the node or topic visible to users in the taxonomy, select the Visible check box. If you do not want the node or topic to appear in the taxonomy, clear the Visible check box.
    • To make the node a subsite, select the SubSite check box. If you do not select this check box, the node appears as a item on the flyout menu on the HSC Home page.
    • In the Nav Model list, click the appropriate navigation model: Default, Desktop, or Server. This property is only available for nodes.
    • In the Loc. Incl list, click the appropriate localization setting: ENU is English only, LOC is non-English only, and ALL is all languages.
    • In Title, type the node or topic title. This is the title that appears in the taxonomy tree and HSC. This is a required field.
    • In Description, type a general description of the node or topic.
    • In Type, click the appropriate type of content that is in the node or topic.
    • In URI of the topic, type the file's address or click .... If you click ..., in URI type, click the appropriate format, and then in Variables, type the appropriate text.
    • In Icon URI, type the icon file's address. This applies to Desktop SKUs only.
    • In Comments, type any additional comments about the node or topic.
    • In Entry, leave it blank or click Edit, and then type a name. If you leave Entry blank, it is automatically set to match the Title. The Entry value is the identifier that other files use to link to the node.

      Warning

      • It is recommended that you do not change the Entry property after it has been set.
    • Under SKU, click all of the platforms to which the information in this node or topic applies.
  4. Click Add/Remove Keywords, and then add or remove keywords as needed.
  5. On the lower-right side of the Production Tool interface, click Save.

Notes

  • To create a new node or topic, right-click the node under which you want to create a new node or topic, and then click Create Node or Create Topic.
  • Required fields are marked with an asterisk (*).

Related Topics


Find a node or topic

To find a node or topic

  1. On the Edit menu, click Find.
  2. In String, type the string you want to find.
  3. Under Find in, select the check boxes for fields that you want to search.
  4. Under Which conditions do you want to check?, select any additional search conditions.
  5. Click Find.

Note

  • The Find command returns all nodes and topics that contain your search string. In Click on an entry, click a node or topic to locate it within the taxonomy tree.


Modify the properties of a node or topic

To modify the properties of a node or topic

  1. In Taxonomy tree, click the node or topic that you want to modify.
  2. Modify the properties for the node or topic as follows:
    • To make the node or topic visible to users in the taxonomy, select the Visible check box. If you do not want the node or topic to appear in the taxonomy, clear the Visible check box.
    • To make the node a subsite, select the SubSite check box. If you do not select this check box, the node appears as a item on the flyout menu on the HSC Home page.
    • In the Nav Model list, click the appropriate navigation model: Default, Desktop, or Server. This property is only available for nodes.
    • In the Loc. Incl list, click the appropriate localization setting: ENU is English only, LOC is non-English only, and ALL is all languages.
    • In Title, type the node or topic title. This is the title that appears in the taxonomy tree and HSC. This is a required field.
    • In Description, type a general description of the node or topic.
    • In Type, click the appropriate type of content that is in the node or topic.
    • In URI of the topic, type the file's address or click .... If you click ..., in URI type, click the appropriate format, and then in Variables, type the appropriate text.
    • In Icon URI, type the icon file's address. This applies to Desktop SKUs only.
    • In Comments, type any additional comments about the node or topic.
    • In Entry, click Edit, and then type a name. The Entry value is the identifier that other files use to link to the node.

      • Warning

      • It is recommended that you do not change the Entry property after it has been set.
    • Under SKU, click all of the platforms to which the information in this node or topic applies.
  3. On the lower-right side of the Production Tool interface, click Save.

Note

  • Required fields are marked with an asterisk (*).

Related Topics


View the content of the selected node or topic

To view the content of the selected node or topic

  1. In Taxonomy tree, click the node or topic that you want to view.
  2. In View Topic, click a valid SKU for the node or topic, and then click Go.


Move a node or topic

To move a node or topic

  1. In Taxonomy tree, click the node or topic that you want to move.
  2. Do any of the following:
    • To move individual nodes or topics, on the Edit menu, click Cut, click the node or topic underneath which you want to move the cut node or topic, and then click Paste.
    • To move a node and all of its child topics, drag the node or topic to the new location.


Delete a node or topic

To delete a node or topic

  1. In Taxonomy tree, click the node or topic that you want to delete.
  2. On the lower-left side of the Production Tool interface, click Delete.


Add or remove keywords from a node or topic

To add or remove keywords from a node or topic

Using the Production Tool interface

  1. In Taxonomy tree, click the node or topic to which you want to add or remove keywords.
  2. In the right pane under Keywords associated with selected Node, type the keyword, and then press ENTER.

Notes

  • If the keyword that you type does not exist in the keyword database, a dialog box appears with the following message:

    The keyword "<keyword>" does not exist. Do you want to create it?

    Click OK to add the keyword to the topic and to the keyword database.
  • You cannot use the Production Tool interface to remove keywords. You must use the Add/Remove Keywords dialog box to remove keywords.

Using the Add/Remove Keywords dialog box

  1. In Taxonomy tree, click the node or topic to which you want to add or remove keywords.
  2. In the right pane of the Production Tool interface, click Add/Remove Keywords.
  3. Do one of the following:
    • To add keywords to the node or topic, click the keyword from the All Keywords column and then click the >> button.
    • To remove keywords from the node or topic, click the keywords from the Associated Keywords column and then click the << button.
    • To add keywords from synonym sets, you must have at least one keyword associated with your node or topic. When you select an associated keyword, the synonym sets it belongs to appear in the fourth column under The Keyword <keyword> belongs to these Synonym Sets. When you select a synonym set from this list, all of the words associated with that synonym set appear in the third column under The Synonym Set <SynonymSet> also contains the following. Click the keywords that you want to add to your node or topic, and then click the >> button.
  4. Click Save to save your changes.

Note

  • You can select multiple keywords by clicking keyword+SHIFT or keyword+CTRL in the second and third columns (that is, the Associated Keywords and The Synonym Set <SynonymSet> also contains the following columns).

Using an existing topic

  1. In Taxonomy tree, right-click the node or topic from which you want copy keywords, and then click Copy Keywords.
  2. Select the check box next to each topic to which you want to copy the keywords, right-click the topic that contains the keywords you want to copy, and then click Paste Keywords.

Important

  • Any existing keywords in the topics that you selected are overwritten by the new keywords.

Note

  • To view the content of the node or topic you are currently working on, in View Topic, click a SKU, and then click Go.


Create keywords from node or topic titles

To create keywords from node or topic titles

  1. Right-click a node or topic, and then click Create Keywords from Titles.
  2. In the Are you sure that you want to create Keywords from Titles of the Node/Topic and its descendants? dialog box, click OK.

Note

  • In addition to converting the title of the selected item into keywords, Create Keywords from Titles converts the titles of all subnodes and subtopics into keywords, and then adds the keywords to each node or topic.


Filter the taxonomy view by SKU

To filter the taxonomy view by SKU

  1. On the Tools menu, click Filter by SKU.
  2. Under Display Nodes and Topics with the following SKUs, select the appropriate SKU check boxes.


Create an .hht and CAB file

To create an .hht and CAB file

  1. On the File menu, click Open Database, and then open the database you want to compile.
  2. On the Tools menu, click Create HHT and CAB.
  3. In File Name, type the name of the target file, and then click ... to select the location for the file.
  4. Under SKU, click the appropriate product SKU, and then click Create.


Create and edit database parameters

To create and edit database parameters

  1. Click Tools, then click Parameters.
  2. In SKU, select the check box for the appropriate SKU.
  3. Do any of the following:
    • In Display Name, type a friendly name for Help.
    • In Product ID, type the name that you want Help and Support Center to use. This should remain the same even when new Help is installed.
    • In Product Version, type the version of Help.
    • In Broken Link Working Directory, type the path for the directory that contains the individual Help files (that is, .chm files). Each .chm file must be expanded into its own subdirectory. Broken Link Detection and View Topic features in the HSC Production Tool use this information.
    • In Pkg Desc Addition, type any additional information that must be added to the Package_description.xml in the CAB file.
    • Verify that the XML syntax is correct by clicking Pkg Desc Preview.
    • In HHT Addition, type new XML code that you want to add to the HHT file.
    • Verify that the XML syntax is correct by clicking HHT Preview.


Archive and restore authoring group changes

To archive or restore authoring group changes

To restore authoring group changes

  1. On the File menu, click Restore authoring group changes.
  2. Find the .xml file that you want to restore, and then click Open.

To archive authoring group changes

  1. On the File menu, click Archive authoring group changes.
  2. Type a file name, and then click Save.

Note

  • To archive authoring group changes, in Taxonomy tree, right-click a node or topic, and then click Archive authoring group changes.

Related Topics


Create and edit stop signs

To create and edit stop signs

  1. On the Edit menu, click Stop Signs.
  2. Do any of the following:
    • To add a new stop sign, under Create new Stop Sign, type the new stop sign. Under Context, click Anywhere or At end of word, and then click Create.
    • To delete a stop sign, on the All Stop Signs list, click the stop sign you want to delete, and then click Delete.

Note

  • Stop signs can be only one character in length.

Related Topics


Create and edit stop words

To create and edit stop words

  1. On the Edit menu, click Stop Words.
  2. Do any of the following:
    • To add a new stop word, under Create new Stop Word, type the new stop word.
    • To delete a stop word, on the All Stop Words list, click the stop word you want to delete, and then click Delete.

Related Topics


Create and edit keywords

To create and edit keywords

  1. On the Edit menu, click Keywords.
  2. Do any of the following:
    • To add a new keyword, under Create new Keyword, type the keyword and then click Create.
    • To modify a keyword, in the All Keywords list, click the keyword, click Modify, make your changes, and then click Modify to save your changes.
    • To delete a keyword, click the keyword, and then click Delete.

Note

  • When you select a keyword, the bottom of the dialog box displays the synonym sets that the keyword belongs to, other keywords that belong to the synonym set, and which titles the selected keyword is associated with.

Related Topics


Create and edit synonym sets

To create and edit synonym sets

  1. On the Edit menu, click Synonym Sets.
  2. Do any of the following:
    • To create a new synonym set, under All Synonym Sets, click Create. In Synonym Set Name, type the name of the new synonym set. In All Keywords, click the keywords you want to add to the synonym set, click Add, and then click Create.
    • To modify the keywords associated with a synonym set, under All Synonym Sets, click the synonym set you want to modify. In The Synonym Set <SynonymSet> contains the following Keywords, click the keywords you want to delete from the synonym set, click Remove, and then click Update. If you want to remove all of the keywords from the synonym set, click Remove All, and then click Update.
    • To modify the name of a synonym set, under All Synonym Sets, click the synonym set you want to modify. Under Synonym Set Name, modify the name, and then click Update.
    • To delete a synonym set, under All Synonym Sets, click the synonym set you want to delete, and then click Delete.

Note

  • You can select multiple keywords by clicking keyword+SHIFT or keyword+CTRL.

Related Topics


Concepts

  • Understanding the taxonomy tree (XMLTOC)
  • Understanding authoring groups
  • Importing files
  • Using stop words and stop signs
  • Using keywords and synonym sets
  • Keyboard shortcuts


Taxonomy tree (XMLTOC)

  • Taxonomy tree (XMLTOC) overview
  • Understanding node or topic properties


Taxonomy tree (XMLTOC) overview

The taxonomy tree is a representation of the navigation tree as it appears in Help and Support Center (HSC). Using the HSC Production Tool, you can modify the taxonomy tree and then compile it to create the .hht file, which defines the navigation structure in Help and Support Center.

After writers create their content and update the HTML Help Table of Contents file (.hhc), you can import the .hhc into a database, and then open it in the HSC Production Tool.

You can use the HSC Production Tool to add, remove, move, or modify the nodes (that is, the book node level in HTML Help), topics, and subtopics (that is, the page node level in HTML Help). You can assign search keywords to nodes and topics, and create stop signs and stop words for the search engine. To help you track file changes, the HSC Production Tool displays information about when the file was last modified at the bottom of the window.

For reference during editing and indexing, you can view the content for a selected topic in a separate window.

When you save your changes to the taxonomy tree, you need to compile the changes into an .hht file, which is used to build the final HSC component.


Properties of a node or topic

Every node or topic in the taxonomy tree contains a set of properties associated with it that describe it, define its location, or aid the search engine in locating it. You can define the following properties:
  • Visible—Controls whether the user can navigate to the node or topic by using the HSC taxonomy. For example, users can find a topic that is not visible by using search in HSC, but they cannot find it in the HSC navigation tree.
  • SubSite—Controls whether the node is a subsite or a flyout menu item.
  • Nav Model—Controls whether the node uses the Desktop or Server navigation model at runtime. Selecting Default will use the Desktop navigation model on a Desktop computer, and use the Server navigation model on a Server.
  • Loc. Include—Indicates the localization preferences for the SKU. ENU is English only, LOC is non-English only, and ALL is all.
  • Title—Lists the title as it appears in the taxonomy tree and HSC builds. This is a required field. The title for a node or topic should be consistent across SKUs.
  • Description—Contains a general description of the node or topic.
  • Type—Lists the type of content that is in the node or topic. HSC uses this information to filter and group topics as users browse the taxonomy tree.
  • URI of the topic—Lists the Uniform Resource Indicator (that is, the address) of the file.
  • Icon URI—For Desktop platforms, points to the icon to be displayed for top level nodes. Other properties, such as Title and so on, are ignored.
  • Comments—Contains additional comments about the node or topic.
  • Entry—Sets the identifier that other files use to link to the node. When a node is created, the Entry property is set to match Title.

    Warning

    • It is recommended that you do not change the Entry property after it has been set.
  • View Topic—Displays the content associated with the selected topic. You must select a valid SKU for the topic.
  • SKU—Controls which platforms the information in this node or topic applies to. Child nodes or topics inherit only the SKUs that you select for the parent node or topic.
  • Keywords associated with selected node—Lists the keywords associated with the selected node.

Note

  • The date and time that the node or topic was last modified is displayed in the status bar below the keywords.


Understanding authoring groups

The HSC Production Tool uses authoring groups to determine which users can update or modify nodes and topics in the taxonomy tree. This allows Original Equipment Manufacturers (OEMs) and other partners to add their own entries to the taxonomy tree while protecting existing entries.

When an OEM or partner receives a database from Microsoft, all of the existing nodes and topics are flagged with an authoring group property (for example, AG=3). This identifies these nodes and topics as being authored by Microsoft. The database that is passed to the OEM or partner is flagged with a different, unique authoring group property (for example, AG=10001). All of the new nodes and topics that the OEM or partner creates have the authoring group property of AG=10001.

The OEM or partner can add, delete, or modify properties of any entry that is flagged with their authoring group, but they cannot add, delete, or modify properties of any entry that is flagged with a different authoring group.

When OEMs and partners receive an updated database from Microsoft, they need to archive the changes that they have made, copy the new Microsoft database, and then restore their changes. Because all of changes made by a particular OEM or partner share the same authoring group, they can archive and restore the changes for particular authoring group only. For more information, see To archive or restore authoring group changes.


Importing files

Using the HSC Production Tool Importer, you can import your existing .hhc, .hhk, or .chm files into the taxonomy tree. You can also import sets of keywords that you format in an Excel spreadsheet.

To import an existing help file, do the following:
  1. Import .hhc file.
  2. Import .hhk file.
  3. Propagate keywords.

Example

Using the date in the following table for titles and keywords, if you import the .hhc, the keywords AAA and BBB are associated with Topic 1, and CCC and DDD are associated with Topic 2. If you click Propagate Keywords all four keywords are associated with both titles because both titles share the same URI. Because keywords propagation can be a time consuming process, it is recommended that you propagate keywords when no one else is using the database.
TITLE | URI | KEYWORDS
Topic 1 | 123 | AAA BBB
Topic 2 | 123 | CCC DDD

Importing Index (.hhk) files

When you import an index file, Importer can extract the Title from each HTM in the related CHM. Topics use the extracted title as the value for the displayed title, instead of the using the default foo.chm:://bar.htm format. You can select Cancel to use the default format.

When you drag an .hhk file to Importer, you are prompted for the path to the Expanded CHMs directory. Each CHM should be in its own directory, which contains all the .htm files for that .chm.

Importing Excel spreadsheets

You can format large groups of keywords in an Excel spreadsheet and import them into the taxonomy tree. You must name the worksheet "Sheet1" and format it as follows:
TITLE | URI | KEYWORD
title_1 | uri_1 | keyword_1
title_1 | uri_1 | keyword_2
title_2 | uri_1 | keyword_3
title_2 | uri_1 | keyword_4
title_3 | uri_2 | keyword_1
title_3 | uri_2 | keyword_5
The HSC Production Tool locates the topic by using the URI and Title, and then it associates the keywords with the topic.


Using stop words

Using stop words and stop signs

Stop words and stop signs make searches more efficient and reliable. When a user types in a search phrase, the search engine looks in the list of stop words and stop signs and removes them from the search phrase.

Example

You define the words how, do, I, to, and the as stop words, and ? as a stop sign. Submit the following search request:

How do I connect to the Internet?

The search engine removes the stop words and stop signs, resulting in the following search string:

connect Internet

Defining context for stop signs

When you create stop signs, you must choose a context that defines when the search engine should use the stop sign. The available contexts are Anywhere or At end of word.

  • "Anywhere" example

    • You define the hyphen (-) as a stop sign, with Anywhere as the Context. Submit the following search request:

    roller-blades, -trails, skates-

    The search engine removes all of the hyphens, resulting in the following search string:

    roller blades, trails, skates

  • "At end of word" example

    • You define the period (.) as a stop sign, with At end of word as the Context. Submit the following search request:

    Show me support.microsoft.com.

    The search engine removes the last period only, resulting in the following search string:

    Show me support.microsoft.com


Using keywords

Using keywords and synonym sets

Help & Support Center uses keywords to index topics for faster and more accurate searching. You associate keywords with a selected node or topic. You can associate keywords with multiple nodes or topics, and you can organize them into synonym sets.

Synonym sets

Synonym sets are organized collections of keywords that are related to each other. You do not associate synonym sets with topics, but you can use them to find additional keywords to associate with topics. Keywords can belong to multiple synonym sets.

Example

The keyword memory is a member of three synonym sets, with different associations in each.
Synonym set | Keywords
hardware | memory drives video
software | memory install remove
diagnostics | memory analyze virus


Overview of the taxonomy tree

Keyboard shortcuts

You can use the keyboard shortcuts listed in the following table.
To | Do This
Copy | CTRL+Y
Paste | CTRL+P
Cut | CTRL+T
Copy Keywords | CTRL+K
Paste Keywords | CTRL+L